# Uses of Interface
org.eclipse.birt.report.model.api.simpleapi.IHideRule

Packages that use IHideRule
Package
Description
org.eclipse.birt.report.model.api.extension
Defines the fundamental interfaces for those extensions from the reportitem extension point.
org.eclipse.birt.report.model.api.impl
org.eclipse.birt.report.model.api.simpleapi
Report element representations in the BIRT simple API environment.

## Uses of IHideRule in org.eclipse.birt.report.model.api.extension

Methods in org.eclipse.birt.report.model.api.extension that return IHideRule
Modifier and Type
Method
Description
`IHideRule[]`
MultiRowItem.`getHideRules()`
`IHideRule[]`
SimpleRowItem.`getHideRules()`
Methods in org.eclipse.birt.report.model.api.extension with parameters of type IHideRule
Modifier and Type
Method
Description
`void`
MultiRowItem.`addHideRule(IHideRule rule)`
`void`
SimpleRowItem.`addHideRule(IHideRule rule)`
`void`
MultiRowItem.`removeHideRule(IHideRule rule)`
`void`
SimpleRowItem.`removeHideRule(IHideRule rule)`

## Uses of IHideRule in org.eclipse.birt.report.model.api.impl

Methods in org.eclipse.birt.report.model.api.impl that return IHideRule
Modifier and Type
Method
Description
`IHideRule`
SimpleElementFactory.`createHideRule()`
Create `IHideRule` instance
`IHideRule`
SimpleElementFactory.`createHideRule(HideRule rule)`
`IHideRule`
SimpleElementFactory.`createHideRule(HideRuleHandle handle)`

## Uses of IHideRule in org.eclipse.birt.report.model.api.simpleapi

Methods in org.eclipse.birt.report.model.api.simpleapi that return IHideRule
Modifier and Type
Method
Description
`IHideRule`
IReportDesign.`createHideRule()`
Create IHideRule instance
`IHideRule`
ISimpleElementFactory.`createHideRule()`
Create `IHideRule` instance
`IHideRule`
ISimpleElementFactory.`createHideRule(HideRule rule)`
Create `IHideRule` instance
`IHideRule`
ISimpleElementFactory.`createHideRule(HideRuleHandle handle)`
Create `IHideRule` instance
`IHideRule[]`
IColumn.`getHideRules()`
Returns array of hide rule expression
`IHideRule[]`
IReportItem.`getHideRules()`
Returns array of hide rule expression
`IHideRule[]`
IRow.`getHideRules()`
Returns array of hide rule expression
Methods in org.eclipse.birt.report.model.api.simpleapi with parameters of type IHideRule
Modifier and Type
Method
Description
`void`
IColumn.`addHideRule(IHideRule rule)`
Add HideRule
`void`
IReportItem.`addHideRule(IHideRule rule)`
Add HideRule
`void`
IRow.`addHideRule(IHideRule rule)`
Add HideRule
`void`
IColumn.`removeHideRule(IHideRule rule)`
Removes all hide rules that matches formatType.
`void`
IReportItem.`removeHideRule(IHideRule rule)`
Removes all hide rules that matches formatType.
`void`
IRow.`removeHideRule(IHideRule rule)`
Removes all hide rules that matches formatType.